> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tazamatch

<Warning>
  Tazamatch is coming soon. The APIs listed here are for reference only and are not yet available in production or sandbox.
</Warning>

These error codes are specific to Tazamatch requests. For errors common to all Tazapay APIs — such as authentication, rate limiting, and request formatting — refer to [Generic Error Codes](/api-reference/appendix/generic).

***

### GET /v3/verification/payee/metadata

| Code  | Message                         | HTTP Status |
| ----- | ------------------------------- | ----------- |
| 50006 | Please provide a valid country  | 400         |
| 50007 | Please provide a valid currency | 400         |
| 50012 | This corridor is not supported  | 400         |

***

### POST /v3/verify/payee

#### Validation Errors

| Code  | Message                                                   | HTTP Status |
| ----- | --------------------------------------------------------- | ----------- |
| 50000 | Please provide a valid type                               | 400         |
| 50001 | Please provide a valid name                               | 400         |
| 50002 | Please provide a valid email                              | 400         |
| 50003 | Please provide a valid phone                              | 400         |
| 50004 | Please provide a valid destination                        | 400         |
| 50005 | Please provide a valid destination type                   | 400         |
| 50006 | Please provide a valid country                            | 400         |
| 50007 | Please provide a valid currency                           | 400         |
| 50008 | Please provide a valid account number                     | 400         |
| 50009 | Please provide a valid local payment network              | 400         |
| 50010 | Please provide a valid bank identifier                    | 400         |
| 50013 | Please provide the required bank fields for this corridor | 400         |
| 50014 | Please provide a valid value for the required bank fields | 400         |
| 50015 | Please provide the required beneficiary fields            | 400         |

***

### GET /v3/verify/payee/{id}

| Code  | Message                                                    | HTTP Status |
| ----- | ---------------------------------------------------------- | ----------- |
| 50100 | Please provide a valid verification ID starting with pyv\_ | 400         |

***

#### Corridor Not Supported

| Code  | Message                        | HTTP Status |
| ----- | ------------------------------ | ----------- |
| 50012 | This corridor is not supported | 400         |

***

#### Service Errors

| Code  | Message                                                                                                                                                                                         | HTTP Status |
| ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| 50016 | We are temporarily unable to process your verification request as our verification provider is rate limiting requests. Please try again shortly.                                                | 503         |
| 50017 | We were unable to securely process your verification request due to an internal error. Please try again, and contact [support@tazapay.com](mailto:support@tazapay.com) if the problem persists. | 500         |
| 50018 | Our verification provider is temporarily unavailable. Please try again shortly.                                                                                                                 | 503         |

***
